Subject: bug#29059: closed (Re: bug#29059: network-manager-service extension package not fully functional)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 14 Nov 2017 14:45:02 +0000

Your bug report

#29059: network-manager-service extension package not fully functional

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29059: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29059
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#29059: network-manager-service extension package not fully functional
From: [email-masked] (Ludovic Courtès)
To: ng0 <[email-masked]>
Cc: [email-masked]
Date: Tue, 14 Nov 2017 15:44:12 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi ng0,

ng0 <[email-masked]> skribis:

> paste from my current systemconfig:
>
>              ;; networking with network-manager
>              (service wpa-supplicant-service-type wpa-supplicant)
>              (service network-manager-service-type
>                       (network-manager-configuration
>                        (vpn-plugins (list network-manager-openvpn
>                                           network-manager-vpnc))))
>
>
> Context here: https://c.n0.is/systems/tree/guixsd/workstations/abyayala/config.scm
>
> and this mess is the vpnc plugin for NM:
> https://c.n0.is/ng0_guix/packages/tree/ng0/packages/personalized.scm#n213

I’m sorry but I can’t offer to address a bug that’s not in Guix proper.
That said, you’re welcome to submit network-manager-vpnc for inclusion!

Thanks,
Ludo’.

Subject: network-manager-service extension package not fully functional
From: ng0 <[email-masked]>
To: [email-masked]
Date: Sun, 29 Oct 2017 20:27:36 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I have come to the conclusion (logs will be reproduced next week and added)
that network-manager-openvpn might not be functional when
used with the network-manager service, as
network-manager-vpnc is structured in a similar way
and it's similar structured in code and how it's being
activated.

I can only test the case for vpnc as I'm debugging
the package right now. It kind-of-works, but the rule
is not being found when you try to activate the
vpnc connection.
-- 
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://dist.ng0.infotropique.org/dist/keys/
https://www.infotropique.org https://ng0.infotropique.org